# Configuration

Script configuration boils down to a small set of `convars` and static data files.\
Convars overrides can be set in your `server.cfg` or you can leave them as default.&#x20;

Defining new props can be done through static `data` files for more on this read: [**Adding or Modifying Props**](/fivem-paid-resources/fuel-siphon/guides/adding-or-modifying-props.md)**.**

You can create new locale files within `custom/locales` make sure you upgrade the language convar to your chosen language.

***

## **Convars**

* **`siphon:debug_mode`** – Set to `"true"` for debug mode, `"false"` to disable. Default: `"false"`.
* **`siphon:image_file_path`** – Path to the image files for UI. Default: `"nui://siphon/images/"`.
* **`siphon:language`** – Sets the language for notifications. Default: `"en"`. Change in `server.cfg` as needed.

***

## **Static Data Files**

You can define new siphon-able props (e.g., barrels, tanks) in the `custom.data.props` folder. \
This is where you can tweak siphoning behaviour, rewards, and durations.

More on this read: [**Adding or Modifying Props**](/fivem-paid-resources/fuel-siphon/guides/adding-or-modifying-props.md)**.**

***

## **Locales**

Create new language files in `custom.locales` for custom translations. \
Make sure to set the `siphon:language` convar in `server.cfg` to your desired language (e.g., `"fr"` for French).

```lua
return {
    --- @section Debug

    debug_rope_attached = "Rope attached for %s",
    started_siphon = "Started siphon scene for %s",
    collected_siphon = "Collected from %s",
    qb_trigger = "qb-target triggered for %s",
    ox_trigger = "ox_target triggered for %s",

    --- @section Notifications

    notify_header = "SIPHON",
    not_ready = "The process hasnt finished yet.. please wait...",
    bucket_ready = "The siphon process has finished you can collect it.",
    already_tapped = "This location has already been tapped.",
    collect_success = "You collected %dx %s.",
    no_siphon_kit = "What are you planning on siphoning with.. your mouth? Come back with the right tools.",

    --- @section Police Alerts
    
    alert_label = "10-33 | Suspicious Activity"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boii.dev/fivem-paid-resources/fuel-siphon/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
